<?php
    require_once('../models/usuario.php');
    $boton = $_POST['boton'];

    // FUNCION PARA EL CIERRE DE SESION
    if ($boton == 'cerrar') {
        session_start();
        session_destroy();
    }

    // FUNCION PARA EL LOGIN
    if ($boton == 'ingresar') {
        $usuario = $_POST['usuario'];
        $pass = $_POST['pass'];
        
        // Crear una instancia del objeto de inserción (suponiendo que 'insertar' tiene la función 'identificar')
        $ins = new insertar();
        $array = $ins->identificar($usuario, $pass);

        if ($array[0] == 0) {
            // Si las credenciales son incorrectas, se devuelve 1 (mensaje de error)
            echo 1;  // Indicar que las credenciales son incorrectas
        } else {
            // Si el login es correcto
            session_start();
            $_SESSION['ingreso'] = 'YES';
            $_SESSION['idusuario'] = $array[0];
            $_SESSION['usuario'] = $array[1];
            $_SESSION['sucursal'] = $array[4];
            $_SESSION['rol'] = $array[15];
            

            echo 0;  // Indicar éxito (login exitoso)
        }
    }
?>
